<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $conf, $template;

$block['TITLE_URL'] = 'tags.php';

function tags_counter_compare($a, $b)
{
  if ($a['counter'] == $b['counter'])
  {
    return tags_id_compare($a, $b);
  }
  return ($a['counter'] < $b['counter']) ? + 1 : -1;
}

function tags_id_compare($a, $b)
{
  return ($a['id'] < $b['id']) ? -1 : 1;
}

$tags = get_available_tags();
usort($tags, 'tags_counter_compare');
$tags = array_slice($tags, 0, $conf['full_tag_cloud_items_number']);
$tags = add_level_to_tags($tags);
usort($tags, 'name_compare');

//Gestion des typetags
if (defined('typetags_TABLE'))
{
  $query = '
SELECT  t.id , tt.color
FROM ' . typetags_TABLE . ' AS tt
INNER JOIN ' . TAGS_TABLE . ' AS t
ON  t.id_typetags = tt.id
WHERE  t.id_typetags IS NOT NULL ;';
  $result = pwg_query($query);
  $tagsColor = array();
  while ($row = mysql_fetch_assoc($result))
  {
    $tagsColor[$row['id']] = $row['color'];
  }
}

//Affichage des tags
foreach ($tags as $key => $tag)
{
  if (isset($tagsColor[$tag['id']]))
  {
    $tag['name'] = '<span style="color:' . $tagsColor[$tag['id']] . '">' . $tag['name'] . '</span>';
  }
  $tag['URL'] = make_index_url(array('tags' => array($tag)));

  $template->append('tags', $tag);
}

?>